org.wso2.carbon.device.mgt.mobile.windows.api.services.wstep

## Interface CertificateEnrollmentService

- All Known Implementing Classes:
    CertificateEnrollmentServiceImpl

      @BindingType(value="http://www.w3.org/2003/05/soap/bindings/HTTP/")
      public interface CertificateEnrollmentService

  Interface of WSTEP implementation.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `requestSecurityToken(String tokenType, String requestType, String binarySecurityToken, AdditionalContext additionalContext, Holder<RequestSecurityTokenResponse> response)`

- - ### Method Detail

    - #### requestSecurityToken

          @RequestWrapper(localName="RequestSecurityToken",
                          targetNamespace="http://docs.oasis-open.org/ws-sx/ws-trust/200512")
          @ResponseWrapper(localName="RequestSecurityTokenResponseCollection",
                           targetNamespace="http://docs.oasis-open.org/ws-sx/ws-trust/200512")
          void requestSecurityToken(String tokenType,
                                                                                                                 String requestType,
                                                                                                                 String binarySecurityToken,
                                                                                                                 AdditionalContext additionalContext,
                                                                                                                 Holder<RequestSecurityTokenResponse> response)
                                    throws WindowsDeviceEnrolmentException,
                                           UnsupportedEncodingException,
                                           WAPProvisioningException

      Throws:
        `WindowsDeviceEnrolmentException`
        `UnsupportedEncodingException`
        `WAPProvisioningException`

Copyright © 2017 WSO2. All rights reserved.